VirtualBox

Ticket #10631 (closed defect: fixed)

Opened 23 months ago

Last modified 19 months ago

10.5.8 + 4.1.16 r78094 = out of memory?

Reported by: idbill Owned by:
Priority: major Component: other
Version: VirtualBox 4.1.16 Keywords:
Cc: Guest type: Linux
Host type: Mac OS X

Description (last modified by frank) (diff)

After upgrading to 4.1.16 r78094, guests won't run without rebooting my machine. Activity Monitor shows I have 2+ gig free, and my guest is set to us 1024meg.

excerpt from .vbox file:

<Memory RAMSize="1024" PageFusion="false"/>

If I quit all programs, no go. If I reboot, then the VM will start.

Any suggestions would be helpful, Bill

Error pop up: Failed to open a session for the virtual machine Centos 6.2 - X.

Failed to load VMMR0.r0 (VERR_NO_MEMORY).

Result Code: NS_ERROR_FAILURE (0x80004005)
Component: Console
Interface: IConsole {1968b7d3-e3bf-4ceb-99e0-cb7c913317bb}

VBox.log:

VirtualBox 4.1.16 r78094 darwin.x86 (May 22 2012 14:36:30) release log
00:00:00.977 Log opened 2012-05-25T17:35:40.811245000Z
00:00:00.977 OS Product: Darwin
00:00:00.977 OS Release: 9.8.0
00:00:00.977 OS Version: Darwin Kernel Version 9.8.0: Wed Jul 15 16:55:01 PDT 2009; root:xnu-1228.15.4~1/RELEASE_I386
00:00:00.979 DMI Product Name: MacBookPro3,1
00:00:00.980 DMI Product Version: 1.0
00:00:00.981 Host RAM: 4096MB RAM, available: 2063MB
00:00:00.981 Executable: /Applications/VirtualBox.app/Contents/MacOS/../Resources/VirtualBoxVM.app/Contents/MacOS/VirtualBoxVM
00:00:00.981 Process ID: 3589
00:00:00.981 Package type: DARWIN_32BITS_GENERIC
00:00:00.981 Installed Extension Packs:
00:00:00.981 Oracle VM VirtualBox Extension Pack (Version: 4.1.16 r78094; VRDE Module: VBoxVRDP)
00:00:01.005 pdmR3LoadR0U: pszName="VMMR0.r0" rc=VERR_NO_MEMORY szErr="supLoadModule returned VERR_NO_MEMORY"
00:00:01.005 VMSetError: /Users/vbox/tinderbox/4.1-mac-rel/src/VBox/VMM/VMMR3/VM.cpp(591) int vmR3CreateU(UVM*, uint32_t, int (*)(VM*, void*), void*); rc=VERR_NO_MEMORY
00:00:01.005 VMSetError: Failed to load VMMR0.r0
00:00:01.006 ERROR [COM]: aRC=NS_ERROR_FAILURE (0x80004005) aIID={1968b7d3-e3bf-4ceb-99e0-cb7c913317bb} aComponent={Console} aText={Failed to load VMMR0.r0 (VERR_NO_MEMORY)}, preserve=f
alse
00:00:01.090 Power up failed (vrc=VERR_NO_MEMORY, rc=NS_ERROR_FAILURE (0X80004005))
00:00:01.380 ERROR [COM]: aRC=E_ACCESSDENIED (0x80070005) aIID={1968b7d3-e3bf-4ceb-99e0-cb7c913317bb} aComponent={Console} aText={The virtual machine is not powered up}, preserve=false


VBoxSVC.log:
00:00:00.235 nspr-2 Loading settings file "/Volumes/VMS/Centos 6.2 - X - Django 1.4/Centos 6.2 - X - Django 1.4.vbox" with version "1.12-macosx"
00:00:02.656 nspr-2 ERROR [COM]: aRC=VBOX_E_INVALID_VM_STATE (0x80bb0002) aIID={5eaa9319-62fc-4b0a-843c-0cb1940f8a91} aComponent={Machine} aText={Machine is not locked for session (session state: Unlocked)}, preserve=false
00:00:03.418 nspr-2 ERROR [COM]: aRC=VBOX_E_IPRT_ERROR (0x80bb0005) aIID={5eaa9319-62fc-4b0a-843c-0cb1940f8a91} aComponent={SessionMachine} aText={Saved screenshot data is not available (VERR_NOT_SUPPORTED)}, preserve=false

More info at:  http://forums.virtualbox.org/viewtopic.php?f=8&t=49697&p=226705&e=226705

Attachments

VBox.log Download (1.5 KB) - added by idbill 23 months ago.
VBox.2.log Download (1.5 KB) - added by idbill 23 months ago.
error #2
VBox.3.log Download (1.5 KB) - added by idbill 23 months ago.
error 3
VBox.4.log Download (1.5 KB) - added by idbill 23 months ago.
error 4
Centos 6.2 - X.vbox Download (27.0 KB) - added by idbill 23 months ago.
Guest settings
VBox.5.log Download (47.9 KB) - added by idbill 23 months ago.
error 4
VBox 10.6.log Download (1.4 KB) - added by mishari 22 months ago.

Change History

comment:1 Changed 23 months ago by idbill

I'll attach a log the next time I get the error.

Last edited 23 months ago by idbill (previous) (diff)

Changed 23 months ago by idbill

comment:2 Changed 23 months ago by idbill

I got the error.

Top shows I have 1200 meg free

Log shows:

00:00:00.976 Host RAM: 4096MB RAM, available: 1180MB

VM only requires 1024meg...

Changed 23 months ago by idbill

error #2

comment:3 Changed 23 months ago by idbill

Attached another log file.

Top shows 1277 free

log shows:

00:00:01.008 Host RAM: 4096MB RAM, available: 1260MB

Changed 23 months ago by idbill

error 3

comment:4 Changed 23 months ago by idbill

Attached 3rd log

Top shows 1390 free

log shows:

00:00:00.926 Host RAM: 4096MB RAM, available: 1375MB

Changed 23 months ago by idbill

error 4

comment:5 Changed 23 months ago by idbill

error 4

top shows 1450 free

log shows:

00:00:00.964 Host RAM: 4096MB RAM, available: 1432MB

Changed 23 months ago by idbill

Guest settings

Changed 23 months ago by idbill

error 4

comment:6 Changed 23 months ago by idbill

another error log

top shows 1823 free

log shows:

00:00:00.896 Host RAM: 4096MB RAM, available: 1808MB

I had to reboot in order to get enough memory free....

comment:7 Changed 23 months ago by idbill

I've been watching the available free memory, and it seems unusually low.

I set top to sort by rsize:

# nice /usr/bin/top -o rsize -R

  Processes:  75 total, 2 running, 4 stuck, 69 sleeping... 276 threads                                                  10:42:26
Load Avg:  0.27,  0.36,  0.36    CPU usage: 10.73% user,  9.76% sys, 79.51% idle
SharedLibs: num =   12, resident =   89M code, 1336K data, 4928K linkedit.
PhysMem:  613M wired,  973M active,  963M inactive, 2549M used, 1547M free.
VM: 118G + 389M   346940(1) pageins, 28(0) pageouts

  PID COMMAND      %CPU   TIME   #TH #PRTS #MREGS RPRVT  RSHRD  RSIZE  VSIZE
   34 mds          0.0%  2:06.68  18   291      0     0      0   266M  1010M 
    0 kernel_tas   3.9% 18:08.83  61     2      0     0      0   221M  1795M 
 2871 Safari      15.8%  0:31.77  11   172+     0     0      0   104M  1068M 
  305 Mail         0.0%  3:06.71  17   295      0     0      0    95M  1073M 
   64 WindowServ   6.8% 12:07.46   6   203      0     0      0    80M   999M 
   56 coreservic   0.0%  0:02.47   2   154      0     0      0    31M   624M 
  209 SIMBL Agen   0.0%  0:01.69   4   113      0     0      0    26M    35G
  316 Terminal     4.1%  0:31.59   4   112+     0     0      0    17M   943M 
  221 SystemUISe   2.3%  4:40.84   8   262      0     0      0    15M   941M 
 2903 Dock         0.0%  0:00.52   3   110      0     0      0    14M   915M 
  222 Finder       0.0%  0:21.94   7   155      0     0      0    13M   948M 

The above doesn't appear to add up to 2549meg....

comment:8 Changed 23 months ago by idbill

More interesting info...

After a reboot and running my VM, I get the following:

# nice /usr/bin/top -o rsize -R:

Processes:  66 total, 2 running, 1 stuck, 63 sleeping... 292 threads                               10:53:53
Load Avg:  0.35,  0.34,  0.16    CPU usage:  1.96% user,  3.92% sys, 94.12% idle
SharedLibs: num =    8, resident =   79M code,  772K data, 5096K linkedit.
PhysMem:  904M wired,  529M active,   55M inactive, 1494M used, 2602M free.
VM: 114G + 389M   49122(0) pageins, 0(0) pageouts

  PID COMMAND      %CPU   TIME   #TH #PRTS #MREGS RPRVT  RSHRD  RSIZE  VSIZE
  494 VirtualBox   4.4%  0:58.95  21   207      0     0      0   520M  1512M 
    0 kernel_tas   2.3%  0:13.53  59     2      0     0      0    89M  1809M 
   66 WindowServ   0.4%  0:11.45   6   222      0     0      0    57M   987M 
  240 Mail         0.0%  0:08.58  12   233      0     0      0    47M   986M 
  515 Safari       0.0%  0:05.21  10   139      0     0      0    45M   993M 
  373 VirtualBox   0.0%  0:03.37   7   104      0     0      0    31M  1001M 
  188 SIMBL Agen   0.0%  0:00.93   4   107      0     0      0    26M    35G 
  202 Finder       0.0%  0:02.48   9   184      0     0      0    24M   982M 

VSIZE, I assume was 'virtual memory', because SIMBL Agent and Growl cannot be using 35G each because that is impossible.

But it shows the VirtualBox VM with a VSIZE of 1512M.

So, my guess is that 1512 is the minimum memory required to run my VM.... and probably in previous versions the RSIZE was the check used for minimum memory.

Thoughts?

comment:9 Changed 23 months ago by andrewbogott

I see this bug as well. OSX 10.5.8, and not a single VM will launch in 4.1.16.

I have modest Mac dev skills, and am happy to run tests, gather logs, whatever. Just let me know what you need.

comment:10 Changed 23 months ago by frank

This bug seems to happen only on Leopard, is that right?

comment:11 Changed 23 months ago by idbill

In the forum, there is a post indicating the problem exists in 10.6:

VBox Version: 4.1.16-78094-OSX w/ExtPack 4.1.16-78094 Host Configuration: Mac OS X 10.6.2, 4 GB RAM, Free Mem at VM startup 1.4 GB Guest Configuration: WinXP 32 bits, 900MB Ram, 1 x NAT network interface. Attached is the log file with the error.

comment:12 Changed 23 months ago by frank

 Here is a test build which should fix this regression for Leopard. Could you give it a try and report the results here? Thank you!

comment:13 Changed 22 months ago by fgiorlando

tried test build on OS X 10.6.3, same error occurs with 700GB requested, 1.4GB free

comment:14 Changed 22 months ago by sting

For me, it seems fixed Mac Os X 10.5.8 512 MB to Virtualbox Thanks!

comment:15 Changed 22 months ago by frank

fgiorlando, please could you attach a VBox.log file for such a VM session? Thank you!

comment:16 Changed 22 months ago by stedep

For me, on Leopard 10.5.8, it seems that the 4.1.17 test build ( http://www.virtualbox.org/download/testcase/VirtualBox-4.1.17-78414-OSX.dmg) fixes this defect.

comment:17 Changed 22 months ago by trashgod

Confirmed normal operation on Leopard 10.5.8 using the  4.1.17 test build.

comment:18 Changed 22 months ago by frank

Ok, as fgiorlando reports he is on Snow Leopard this means that we will have to extend the fix (which already works for Leopard) to Snow Leopard.

Changed 22 months ago by mishari

comment:19 Changed 22 months ago by mishari

Attached VBox 10.6.log a log file from Snow Leopard when the crash occurs.

Version 0, edited 22 months ago by mishari (next)

comment:20 Changed 22 months ago by idbill

4.1.17 test build appears to solve the problem for me. ( 10.5.8 )

comment:21 Changed 22 months ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

Should be fixed in VBox 4.1.18.

comment:22 Changed 22 months ago by mishari

@frank Is there no test build that I can test to make sure the fix works in 10.6?

comment:23 Changed 22 months ago by frank

mishari, VBox 4.1.18 should also work on 10.6!

comment:24 Changed 22 months ago by sebykrueger

I'm using Mac OS X 10.6.8 and VirtualBox 4.1.18 r78361 and the bug is not fixed.

Here the relevant log entries from the vbox.log file:

00:22:10.390 PGM: Failed to procure handy pages; rc=VERR_NO_MEMORY rcAlloc=VERR_NO_MEMORY rcSeed=VINF_SUCCESS cHandyPages=0x1f
00:22:10.390      cAllPages=0xe1045 cPrivatePages=0x9e1a5 cSharedPages=0x0 cZeroPages=0x42e7d
00:22:10.390 GMM: Statistics:
00:22:10.390      Allocated pages: 9d1c0
00:22:10.390      Maximum   pages: e009e
00:22:10.390      Ballooned pages: 0
00:22:10.390 PGM: Failed to procure handy pages; rc=VERR_NO_MEMORY rcAlloc=VERR_NO_MEMORY rcSeed=VINF_SUCCESS cHandyPages=0x1f
00:22:10.390      cAllPages=0xe1045 cPrivatePages=0x9e1a5 cSharedPages=0x0 cZeroPages=0x42e7d
00:22:10.390 GMM: Statistics:
00:22:10.390      Allocated pages: 9d1c0
00:22:10.390      Maximum   pages: e009e
00:22:10.390      Ballooned pages: 0
00:22:10.390 VM: Raising runtime error 'HostMemoryLow' (fFlags=0x2)
00:22:10.390 AssertLogRel /Users/vbox/tinderbox/4.1-mac-rel/src/VBox/VMM/VMMR3/VMM.cpp(1680) int VMMR3EmtRendezvous(VM*, uint32_t, VBOXSTRICTRC (*)(VM*, VMCPU*, void*), void*): !pVCpu->vmm.s.fInRendezvous
00:22:10.390 Console: VM runtime error: fatal=false, errorID=HostMemoryLow message="Unable to allocate and lock memory. The virtual machine will be paused. Please close applications to free up memory or close the VM"
00:22:10.391 Changing the VM state from 'RUNNING' to 'GURU_MEDITATION'.

Is there anyone who is using Mac OS X 10.6.8 and has a working VirtualBox?

Thanks, Sebastian.

Last edited 22 months ago by frank (previous) (diff)

comment:25 Changed 22 months ago by frank

sebykrueger, your problem is different. To me it seems that you just assigned too much memory to the guest, a complete VBox.log file would show this. The original problem of this ticket was different (see the original description).

comment:26 follow-up: ↓ 27 Changed 22 months ago by frank

  • Description modified (diff)

comment:27 in reply to: ↑ 26 Changed 21 months ago by scouredimage

Still seeing this issue on Snow Leopard and v4.1.18 r78361

VirtualBox 4.1.18 r78361 darwin.x86 (Jun 15 2012 13:25:59) release log
00:00:00.645 Log opened 2012-08-10T19:47:19.099549000Z
00:00:00.645 OS Product: Darwin
00:00:00.645 OS Release: 10.7.3
00:00:00.645 OS Version: Darwin Kernel Version 10.7.3: Sun Mar  6 13:39:41 PST 2011; root:xnu-1504.14.2~1/RELEASE_I386
00:00:00.648 DMI Product Name: MacBookPro6,2
00:00:00.649 DMI Product Version: 1.0
00:00:00.650 Host RAM: 8192MB RAM, available: 4231MB
00:00:00.650 Executable: /Applications/VirtualBox.app/Contents/MacOS/../Resources/VirtualBoxVM.app/Contents/MacOS/VirtualBoxVM
00:00:00.650 Process ID: 2963
00:00:00.650 Package type: DARWIN_32BITS_GENERIC
00:00:00.651 Installed Extension Packs:
00:00:00.651   None installed!
00:00:00.661 pdmR3LoadR0U: pszName="VMMR0.r0" rc=VERR_SUPLIB_WORLD_WRITABLE szErr="World writable: '/Applications'"
00:00:00.661 VMSetError: /Users/vbox/tinderbox/4.1-mac-rel/src/VBox/VMM/VMMR3/VM.cpp(591) int vmR3CreateU(UVM*, uint32_t, int (*)(VM*, void*), void*); rc=VERR_SUPLIB_WORLD_WRITABLE
00:00:00.661 VMSetError: Failed to load VMMR0.r0
00:00:00.661 ERROR [COM]: aRC=NS_ERROR_FAILURE (0x80004005) aIID={1968b7d3-e3bf-4ceb-99e0-cb7c913317bb} aComponent={Console} aText={Failed to load VMMR0.r0 (VERR_SUPLIB_WORLD_WRITABLE)}, preserve=false
00:00:00.669 Power up failed (vrc=VERR_SUPLIB_WORLD_WRITABLE, rc=NS_ERROR_FAILURE (0X80004005))

Guest is CentOS 5.2 with 2GB of base memory.

comment:28 Changed 19 months ago by frank

scouredimage, have a look at the actual error code. Your /Applications directory has the wrong permissions. VirtualBox refuses to start for security reasons.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use